Skip to main content
GET
/
v1
/
predictions
/
events
/
{eventId}
/
instruments
Get an event and all instruments under it
curl --request GET \
  --url https://api.aries.com/v1/predictions/events/{eventId}/instruments \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": {
    "event": {
      "eventId": "<string>",
      "productId": "<string>",
      "lastSyncedAt": "2023-11-07T05:31:56Z",
      "eventDisplayName": "<string>",
      "question": "<string>",
      "eventQuestion": "<string>",
      "sourceAgency": "<string>",
      "sourceAgencyUrl": "<string>",
      "underlyingSpec": "<string>",
      "calculationMethod": "<string>",
      "payoutType": "<string>",
      "timeSpecifier": "<unknown>",
      "expectedPayoutDate": "<unknown>",
      "expectedPayoutTime": "<unknown>",
      "rawAttributes": "<unknown>"
    },
    "instruments": [
      {
        "symbol": "<string>",
        "eventId": "<string>",
        "productId": "<string>",
        "state": "<string>",
        "tradable": true,
        "nonTradable": true,
        "lastSyncedAt": "2023-11-07T05:31:56Z",
        "description": "<string>",
        "strikeValue": "<string>",
        "strikeUnit": "<string>",
        "evaluationType": "<string>",
        "baseCurrency": "<string>",
        "tickSize": 123,
        "multiplier": 123,
        "minTradeQty": "<string>",
        "startDate": "2023-11-07T05:31:56Z",
        "expirationDate": "2023-11-07T05:31:56Z",
        "terminationDate": "2023-11-07T05:31:56Z",
        "lastTradeDate": "2023-11-07T05:31:56Z",
        "priceScale": "<string>",
        "priceLimit": "<unknown>",
        "tradingSchedule": "<unknown>",
        "rawPayload": "<unknown>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Path Parameters

eventId
string
required

Event identifier.

Example:

"HORC_1126"

Response

Event with its instruments

Standard prediction-market success envelope used by prediction historical-data and prediction-market reference endpoints. data is endpoint-specific.

success
boolean
required
Example:

true

data
object